#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3|tr '-' '.')
%define		aname		%(echo %{sname} | cut -d '.' -f1)
%define		bname		%(echo %{sname} | cut -d '.' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-zope-hookable
Version		:	6.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Represents the core of the Zope hookable Architecture
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ZPLv2.1
URL		:	https://pypi.io

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}

#-----------------------------------------------------------------------------
%description
This package supports the efficient creation of
“hookable” objects, which are callable objects that
are meant to be optionally replaced.

The idea is that you create a function that does
some default thing and make it hookable. Later,
someone can modify what it does by calling its
sethook method and changing its implementation.
All users of the function, including those that
imported it, will see the change.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst CHANGES.rst
%license COPYRIGHT.txt LICENSE.txt
%{python3_sitelib}/%{aname}/%{bname}/_%{aname}_%{bname}.c
%{python3_sitelib}/%{aname}/%{bname}/_%{aname}_%{bname}.*.so
%{python3_sitelib}/%{aname}/%{bname}/*.py
%{python3_sitelib}/%{aname}/%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/tests/*.py
%{python3_sitelib}/%{aname}/%{bname}/tests/__pycache__/*.pyc
%{python3_sitelib}/%{aname}.%{bname}-%{version}.dist-info/
%{python3_sitelib}/%{aname}.%{bname}-%{version}-*-nspkg.pth

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
PURE_PYTHON=1 %{__python}				\
  -m unittest discover					\
  -s %{buildroot}%{python3_sitearch}/%{aname}/%{bname}	\
  -t							\
  %{buildroot}%{python3_sitearch}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
